Opened 7 years ago

Closed 6 years ago

#893 closed defect (not a bug)

A fatal error has been detected by the Java Runtime Environment

Reported by: DISABLED Owned by:
Priority: minor Milestone:
Component: unspecified Version: 0.9.4
Keywords: Cc:
Parent Tickets: Sensitive: no

Description

$ uname -a
Linux ssh 2.6.32-5-xen-amd64 #1 SMP Tue Mar 8 00:01:30 UTC 2011 x86_64 GNU/Linux
$ java -version
java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8.13) (6b18-1.8.13-0+squeeze2)
OpenJDK 64-Bit Server VM (build 14.0-b16, mixed mode)

Debian Squeeze(6), amd64.

wrapper.log:

./wrapper.log:7405:2013/03/02 18:50:03 | JVM received a signal UNKNOWN (6).
./wrapper.log:7406:2013/03/02 18:50:03 | #
./wrapper.log:7407:2013/03/02 18:50:03 | # A fatal error has been detected by the Java Runtime Environment:
./wrapper.log:7408:2013/03/02 18:50:03 | #
./wrapper.log:7409:2013/03/02 18:50:03 | # SIGSEGV (0xb) at pc=0x00007f7f3c1df42c, pid=12110, tid=140183814870784
./wrapper.log:7410:2013/03/02 18:50:03 | #
./wrapper.log:7411:2013/03/02 18:50:03 | # JRE version: 6.0_18-b18
./wrapper.log:7412:2013/03/02 18:50:03 | # Java VM: OpenJDK 64-Bit Server VM (14.0-b16 mixed mode linux-amd64 )
./wrapper.log:7413:2013/03/02 18:50:03 | # Derivative: IcedTea6 1.8.13
./wrapper.log:7414:2013/03/02 18:50:03 | # Distribution: Debian GNU/Linux 6.0.4 (squeeze), package 6b18-1.8.13-0+squeeze2
./wrapper.log:7415:2013/03/02 18:50:03 | # Problematic frame:
./wrapper.log:7416:2013/03/02 18:50:03 | # V [libjvm.so+0x5e742c]
./wrapper.log:7417:2013/03/02 18:50:03 | #
./wrapper.log:7418:2013/03/02 18:50:03 | # An error report file with more information is saved as:
./wrapper.log:7419:2013/03/02 18:50:03 | # /tmp/hs_err_pid12110.log
./wrapper.log:7420:2013/03/02 18:50:03 | #
./wrapper.log:7421:2013/03/02 18:50:03 | # If you would like to submit a bug report, please include
./wrapper.log:7422:2013/03/02 18:50:03 | # instructions how to reproduce the bug and visit:
./wrapper.log:7423:2013/03/02 18:50:03 | # http://icedtea.classpath.org/bugzilla
./wrapper.log:7424:2013/03/02 18:50:03 | #
./wrapper.log:7425:2013/03/02 18:50:03 | JVM process is gone.
./wrapper.log:7426:2013/03/02 18:50:03 | JVM exited unexpectedly.
./wrapper.log:7427:2013/03/02 18:50:18 | Launching a JVM…
./wrapper.log:7428:2013/03/02 18:50:18 | WrapperManager?: Initializing…
./wrapper.log:7429:2013/03/02 18:50:18 | Starting I2P 0.9.4-0-deb3n1
./wrapper.log:7430:2013/03/02 18:50:18 | ERROR: There appears to be another router already running!
./wrapper.log:7431:2013/03/02 18:50:18 | Please make sure to shut down old instances before starting up
./wrapper.log:7432:2013/03/02 18:50:18 | a new one. If you are positive that no other instance is running,
./wrapper.log:7433:2013/03/02 18:50:18 | please delete the file /var/run/i2p/router.ping
./wrapper.log:7434:2013/03/02 18:50:21 | ←- Wrapper Stopped
./wrapper.log:7435:2013/03/02 18:50:32 | —> Wrapper Started as Daemon
./wrapper.log:7436:2013/03/02 18:50:32 | Java Service Wrapper Community Edition 64-bit 3.5.17
./wrapper.log:7437:2013/03/02 18:50:32 | Copyright © 1999-2012 Tanuki Software, Ltd. All Rights Reserved.
./wrapper.log:7438:2013/03/02 18:50:32 | http://wrapper.tanukisoftware.com
./wrapper.log:7439:2013/03/02 18:50:32 |
./wrapper.log:7440:2013/03/02 18:50:32 | Launching a JVM…
./wrapper.log:7441:2013/03/02 18:50:33 | WrapperManager?: Initializing…
./wrapper.log:7442:2013/03/02 18:50:33 | Starting I2P 0.9.4-0-deb3n1
./wrapper.log:7443:2013/03/02 18:50:33 | ERROR: There appears to be another router already running!
./wrapper.log:7444:2013/03/02 18:50:33 | Please make sure to shut down old instances before starting up
./wrapper.log:7445:2013/03/02 18:50:33 | a new one. If you are positive that no other instance is running,
./wrapper.log:7446:2013/03/02 18:50:33 | please delete the file /var/run/i2p/router.ping
./wrapper.log:7447:2013/03/02 18:50:35 | ←- Wrapper Stopped

/tmp/hs_err_pid12110.log:
#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007f7f3c1df42c, pid=12110, tid=140183814870784
#
# JRE version: 6.0_18-b18
# Java VM: OpenJDK 64-Bit Server VM (14.0-b16 mixed mode linux-amd64 )
# Derivative: IcedTea6 1.8.13
# Distribution: Debian GNU/Linux 6.0.4 (squeeze), package 6b18-1.8.13-0+squeeze2
# Problematic frame:
# V [libjvm.so+0x5e742c]
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
# http://icedtea.classpath.org/bugzilla
#


Current thread (0x0000000001f33800): JavaThread? "CompilerThread0" daemon [_thread_in_native, id=12116, stack(0x00007f7f166d1000,0x00007f7f167d2000)]

siginfo:si_signo=SIGSEGV: si_errno=0, si_code=1 (SEGV_MAPERR), si_addr=0x0000000000000000

Registers:
RAX=0x0000000000000000, RBX=0x00007f7f167ceb40, RCX=0x000000000284b350, RDX=0x0000000000000400
RSP=0x00007f7f167cd220, RBP=0x00007f7f167cd290, RSI=0x00000000000000eb, RDI=0x000000000284b350
R8 =0x0000000000000000, R9 =0x0000000000000000, R10=0x0000000000000000, R11=0x0000000000000000
R12=0x000000000284e9a0, R13=0x0000000000000758, R14=0x00000000029a5ce8, R15=0x00000000029a4a10
RIP=0x00007f7f3c1df42c, EFL=0x0000000000010206, CSGSFS=0x000000000000e033, ERR=0x0000000000000004

TRAPNO=0x000000000000000e

Top of Stack: (sp=0x00007f7f167cd220)
0x00007f7f167cd220: 00000000021c9c20 000000000267cfa8
0x00007f7f167cd230: 00007f7f167ce130 000000000267b260
0x00007f7f167cd240: 00000000029a4a10 00000000029a59e8
0x00007f7f167cd250: 00007f7f00000000 00007f7f167ceb60
0x00007f7f167cd260: 00007f7f167cd2b0 00007f7f167ceb40
0x00007f7f167cd270: 0000000000000008 000000000267c680
0x00007f7f167cd280: 00000000029a4a10 0000000002592bd8
0x00007f7f167cd290: 00007f7f167cd3c0 00007f7f3c1e0074
0x00007f7f167cd2a0: 0000000001eb4ca0 00000000021c9b70
0x00007f7f167cd2b0: 00007f7f167cd2d0 00007f7f3c24f1e9
0x00007f7f167cd2c0: 0000000001eb4ca0 00007f7f167ce130
0x00007f7f167cd2d0: 00007f7f167cd330 00007f7f3be2c03e
0x00007f7f167cd2e0: 00007f7f167cd330 00007f7f3c13583e
0x00007f7f167cd2f0: 00000000021c9cd8 0000000800000005
0x00007f7f167cd300: 000000000267b260 00007f7f167ceb40
0x00007f7f167cd310: 00000000029a4a10 000000000267b260
0x00007f7f167cd320: 00000000029a4a10 000000000267cf00
0x00007f7f167cd330: 00007f7f167cd3c0 00007f7f3c0e67ee
0x00007f7f167cd340: 0000000000000010 000000000267cf40
0x00007f7f167cd350: 00000000021c9a38 00007f7f167ceb40
0x00007f7f167cd360: 00007f7f167ceb40 000000000267b260
0x00007f7f167cd370: 00007f7f167ceb40 00000000ffffff7a
0x00007f7f167cd380: 000000000267cf40 000000000267c208
0x00007f7f167cd390: 00007f7f167cd3c0 00007f7f167cd670
0x00007f7f167cd3a0: 00007f7f167ceb40 0000000000000001
0x00007f7f167cd3b0: 000000000267cf40 00007f7f167cd630
0x00007f7f167cd3c0: 00007f7f167cd410 00007f7f3c0e7716
0x00007f7f167cd3d0: 00007f7f167ceb60 00000000029a5288
0x00007f7f167cd3e0: 00007f7f167cd410 00007f7f167ceb40
0x00007f7f167cd3f0: 0000000000000000 00007f7f167cd670
0x00007f7f167cd400: 00007f7f167cd610 00007f7f167cd630
0x00007f7f167cd410: 00007f7f167cd6d0 00007f7f3c0dbd7e

Instructions: (pc=0x00007f7f3c1df42c)
0x00007f7f3c1df41c: 6a 41 89 f5 45 31 e4 49 c1 e5 03 49 8b 44 24 08
0x00007f7f3c1df42c: 48 83 38 00 0f 84 b5 00 00 00 39 d6 72 09 48 8b

Stack: [0x00007f7f166d1000,0x00007f7f167d2000], sp=0x00007f7f167cd220, free space=1008k
Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
V [libjvm.so+0x5e742c]
V [libjvm.so+0x5e8074]
V [libjvm.so+0x4ef716]
V [libjvm.so+0x4e3d7e]
V [libjvm.so+0x297e2b]
V [libjvm.so+0x298a23]
V [libjvm.so+0x226c8c]
V [libjvm.so+0x29c9d5]
V [libjvm.so+0x29d339]
V [libjvm.so+0x6488eb]
V [libjvm.so+0x557932]

Current CompileTask?:
C2:402 net.i2p.data.DataHelper?.readLong(Ljava/io/InputStream;I)J (214 bytes)


Java Threads: ( ⇒ current thread )

0x0000000002284000 JavaThread? "Streaming Timer ysrt 4/4" daemon [_thread_blocked, id=12471, stack(0x00007f7f0a234000,0x00007f7f0a335000)]
0x00000000025df800 JavaThread? "Streaming Timer ysrt ¾" daemon [_thread_blocked, id=12470, stack(0x00007f7f0a335000,0x00007f7f0a436000)]
0x0000000002911000 JavaThread? "Streaming Timer ysrt 2/4" daemon [_thread_blocked, id=12469, stack(0x00007f7f0a436000,0x00007f7f0a537000)]
0x00000000020a3000 JavaThread? "Java2D Disposer" daemon [_thread_blocked, id=12417, stack(0x00007f7f0b776000,0x00007f7f0b877000)]
0x0000000002389800 JavaThread? "NTCPSendFinisher 4/4" daemon [_thread_blocked, id=12297, stack(0x00007f7f0b271000,0x00007f7f0b372000)]
0x000000000228b800 JavaThread? "Client 5" daemon [_thread_in_native, id=12289, stack(0x00007f7f0b978000,0x00007f7f0ba79000)]
0x00000000025aa800 JavaThread? "Client 4" daemon [_thread_in_native, id=12288, stack(0x00007f7f0ba79000,0x00007f7f0bb7a000)]
0x0000000002292800 JavaThread? "Client 3" daemon [_thread_in_native, id=12287, stack(0x00007f7f0bb7a000,0x00007f7f0bc7b000)]
0x000000000211e800 JavaThread? "Client 2" daemon [_thread_in_native, id=12286, stack(0x00007f7f0bc7b000,0x00007f7f0bd7c000)]
0x000000000211a000 JavaThread? "Internal socket port 4444" daemon [_thread_blocked, id=12285, stack(0x00007f7f0bd7c000,0x00007f7f0be7d000)]
0x00000000023f8800 JavaThread? "Client 1" daemon [_thread_in_native, id=12284, stack(0x00007f7f0be7d000,0x00007f7f0bf7e000)]
0x00000000020b8800 JavaThread? "Streaming Timer ysrt ¼" daemon [_thread_blocked, id=12283, stack(0x00007f7f0bf7e000,0x00007f7f0c07f000)]
0x0000000002ad2800 JavaThread? "NTCPSendFinisher ¾" daemon [_thread_blocked, id=12282, stack(0x00007f7f0c07f000,0x00007f7f0c180000)]
0x0000000002ad6800 JavaThread? "I2CP Internal Reader 2" daemon [_thread_blocked, id=12281, stack(0x00007f7f0c180000,0x00007f7f0c281000)]
0x000000000272b000 JavaThread? "ClientNotifier? [shared clients]: " daemon [_thread_blocked, id=12280, stack(0x00007f7f0c281000,0x00007f7f0c382000)]
0x0000000002581800 JavaThread? "I2CP Internal Reader 1" daemon [_thread_blocked, id=12279, stack(0x00007f7f0c483000,0x00007f7f0c584000)]
0x0000000002a12800 JavaThread? "NTCPSendFinisher 2/4" daemon [_thread_blocked, id=12230, stack(0x00007f7f0c685000,0x00007f7f0c786000)]
0x0000000002a11800 JavaThread? "NTCPSendFinisher ¼" daemon [_thread_blocked, id=12229, stack(0x00007f7f0c786000,0x00007f7f0c887000)]
0x0000000002584800 JavaThread? "NTCP writer 4/4" daemon [_thread_blocked, id=12196, stack(0x00007f7f0f077000,0x00007f7f0f178000)]
0x0000000002a83800 JavaThread? "NTCP writer ¾" daemon [_thread_blocked, id=12195, stack(0x00007f7f0e970000,0x00007f7f0ea71000)]
0x0000000002874800 JavaThread? "NTCP writer 2/4" daemon [_thread_blocked, id=12194, stack(0x00007f7f0eb72000,0x00007f7f0ec73000)]
0x0000000002288000 JavaThread? "NTCP writer ¼" daemon [_thread_blocked, id=12193, stack(0x00007f7f0ea71000,0x00007f7f0eb72000)]
0x000000000258b000 JavaThread? "NTCP reader 4/4" daemon [_thread_blocked, id=12192, stack(0x00007f7f0e86f000,0x00007f7f0e970000)]
0x00000000023b7800 JavaThread? "NTCP reader ¾" daemon [_thread_blocked, id=12191, stack(0x00007f7f0ef76000,0x00007f7f0f077000)]
0x00000000023b9800 JavaThread? "NTCP reader 2/4" daemon [_thread_blocked, id=12190, stack(0x00007f7f0ec73000,0x00007f7f0ed74000)]
0x0000000002877800 JavaThread? "NTCP reader ¼" daemon [_thread_blocked, id=12189, stack(0x00007f7f0ed74000,0x00007f7f0ee75000)]
0x0000000002588000 JavaThread? "NTCP Pumper" daemon [_thread_in_native, id=12188, stack(0x00007f7f0ee75000,0x00007f7f0ef76000)]
0x0000000002b0d800 JavaThread? "ClientListener:7654" daemon [_thread_in_native, id=12187, stack(0x00007f7f0c887000,0x00007f7f0c988000)]
0x00000000027ed800 JavaThread? "BuildHandler? 1/1" daemon [_thread_blocked, id=12186, stack(0x00007f7f0c988000,0x00007f7f0ca89000)]
0x000000000228a000 JavaThread? "BuildExecutor?" daemon [_thread_blocked, id=12185, stack(0x00007f7f0ca89000,0x00007f7f0cb8a000)]
0x0000000002aa9000 JavaThread? "UDP packet pusher" daemon [_thread_blocked, id=12184, stack(0x00007f7f0cb8a000,0x00007f7f0cc8b000)]
0x0000000002aa7000 JavaThread? "UDP message receiver 5/5" daemon [_thread_blocked, id=12183, stack(0x00007f7f0cc8b000,0x00007f7f0cd8c000)]
0x0000000002aa4800 JavaThread? "UDP message receiver 4/5" daemon [_thread_blocked, id=12182, stack(0x00007f7f0cd8c000,0x00007f7f0ce8d000)]
0x00000000024e9000 JavaThread? "UDP message receiver 3/5" daemon [_thread_blocked, id=12181, stack(0x00007f7f0ce8d000,0x00007f7f0cf8e000)]
0x00000000024e7000 JavaThread? "UDP message receiver 2/5" daemon [_thread_blocked, id=12180, stack(0x00007f7f0cf8e000,0x00007f7f0d08f000)]
0x00000000024e5800 JavaThread? "UDP message receiver 1/5" daemon [_thread_blocked, id=12179, stack(0x00007f7f0d08f000,0x00007f7f0d190000)]
0x0000000002461800 JavaThread? "UDP ACK sender" daemon [_thread_blocked, id=12178, stack(0x00007f7f0d190000,0x00007f7f0d291000)]
0x0000000002987000 JavaThread? "UDP Packet handler 1/1" daemon [_thread_blocked, id=12177, stack(0x00007f7f0d291000,0x00007f7f0d392000)]
0x0000000002983800 JavaThread? "UDP Establisher" daemon [_thread_blocked, id=12176, stack(0x00007f7f0d392000,0x00007f7f0d493000)]
0x0000000002a04000 JavaThread? "UDPReceiver.1" daemon [_thread_in_native, id=12175, stack(0x00007f7f0dc93000,0x00007f7f0dd94000)]
0x00000000020ac000 JavaThread? "UDPSender" daemon [_thread_blocked, id=12174, stack(0x00007f7f1592c000,0x00007f7f15a2d000)]
0x0000000002a02800 JavaThread? "Timer-1" daemon [_thread_blocked, id=12172, stack(0x00007f7f0e46b000,0x00007f7f0e56c000)]
0x00007f7f101c7800 JavaThread? "StatSummarizer?" daemon [_thread_blocked, id=12171, stack(0x00007f7f0e56c000,0x00007f7f0e66d000)]
0x00007f7f100be000 JavaThread? "RouterConsole? Jetty - Acceptor0 SelectChannelConnector@127?.0.0.1:7657" daemon [_thread_in_native, id=12170, stack(0x00007f7f0e66d000,0x00007f7f0e76e000)]
0x00007f7f10163000 JavaThread? "Timer-0" daemon [_thread_blocked, id=12169, stack(0x00007f7f0e76e000,0x00007f7f0e86f000)]
0x0000000002879000 JavaThread? "DBWriter" [_thread_blocked, id=12159, stack(0x00007f7f0f380000,0x00007f7f0f481000)]
0x0000000002adc800 JavaThread? "DH Precalc" [_thread_blocked, id=12158, stack(0x00007f7f0f582000,0x00007f7f0f683000)]
0x0000000002adf000 JavaThread? "RouterConsole? Jetty - Acceptor0 SelectChannelConnector?@::1:7657" daemon [_thread_in_native, id=12157, stack(0x00007f7f0f481000,0x00007f7f0f582000)]
0x0000000002add800 JavaThread? "JobQueue? 5/5" [_thread_blocked, id=12155, stack(0x00007f7f0f683000,0x00007f7f0f784000)]
0x00000000023fd000 JavaThread? "JobQueue? 4/5" [_thread_blocked, id=12154, stack(0x00007f7f0f784000,0x00007f7f0f885000)]
0x0000000002a1d800 JavaThread? "JobQueue? 3/5" [_thread_blocked, id=12153, stack(0x00007f7f1582b000,0x00007f7f1592c000)]
0x0000000001ea4800 JavaThread? "JobQueue? 2/5" [_thread_blocked, id=12152, stack(0x00007f7f15d43000,0x00007f7f15e44000)]
0x00000000028ac800 JavaThread? "YK Precalc" daemon [_thread_blocked, id=12150, stack(0x00007f7f0fca1000,0x00007f7f0fda2000)]
0x00000000026d5000 JavaThread? "JobQueue? 1/1" [_thread_blocked, id=12149, stack(0x00007f7f14417000,0x00007f7f14518000)]
0x00000000026a2800 JavaThread? "RouterWatchdog?" daemon [_thread_blocked, id=12148, stack(0x00007f7f14518000,0x00007f7f14619000)]
0x00000000026a0800 JavaThread? "Graceful shutdown hook" daemon [_thread_blocked, id=12147, stack(0x00007f7f14619000,0x00007f7f1471a000)]
0x0000000002295800 JavaThread? "Tunnel GW pumper 4/4" daemon [_thread_blocked, id=12146, stack(0x00007f7f1471a000,0x00007f7f1481b000)]
0x0000000002657000 JavaThread? "Tunnel GW pumper ¾" daemon [_thread_blocked, id=12145, stack(0x00007f7f1481b000,0x00007f7f1491c000)]
0x0000000002a4b800 JavaThread? "Tunnel GW pumper 2/4" daemon [_thread_blocked, id=12144, stack(0x00007f7f1491c000,0x00007f7f14a1d000)]
0x000000000213f800 JavaThread? "Tunnel GW pumper ¼" daemon [_thread_blocked, id=12143, stack(0x00007f7f14a1d000,0x00007f7f14b1e000)]
0x0000000002808800 JavaThread? "PRNG" daemon [_thread_blocked, id=12142, stack(0x00007f7f14b1e000,0x00007f7f14c1f000)]
0x0000000002146000 JavaThread? "BWRefiller" daemon [_thread_blocked, id=12141, stack(0x00007f7f14c1f000,0x00007f7f14d20000)]
0x000000000213c800 JavaThread? "SimpleTimer2 4/4" daemon [_thread_blocked, id=12140, stack(0x00007f7f14d20000,0x00007f7f14e21000)]
0x000000000213a800 JavaThread? "SimpleTimer2 ¾" daemon [_thread_blocked, id=12139, stack(0x00007f7f14e21000,0x00007f7f14f22000)]
0x0000000002133800 JavaThread? "SimpleTimer2 2/4" daemon [_thread_blocked, id=12138, stack(0x00007f7f14f22000,0x00007f7f15023000)]
0x000000000205d000 JavaThread? "SimpleTimer2 ¼" daemon [_thread_blocked, id=12137, stack(0x00007f7f15023000,0x00007f7f15124000)]
0x000000000205f000 JavaThread? "Job Queue Pumper" daemon [_thread_blocked, id=12136, stack(0x00007f7f15124000,0x00007f7f15225000)]
0x0000000002157800 JavaThread? "SimpleScheduler? 4/4" daemon [_thread_blocked, id=12135, stack(0x00007f7f15225000,0x00007f7f15326000)]
0x0000000002156000 JavaThread? "SimpleScheduler? ¾" daemon [_thread_blocked, id=12134, stack(0x00007f7f15326000,0x00007f7f15427000)]
0x00000000022b0800 JavaThread? "SimpleScheduler? 2/4" daemon [_thread_blocked, id=12133, stack(0x00007f7f15427000,0x00007f7f15528000)]
0x000000000207f000 JavaThread? "SimpleScheduler? ¼" daemon [_thread_blocked, id=12132, stack(0x00007f7f15528000,0x00007f7f15629000)]
0x00000000020bd000 JavaThread? "LogWriter?" daemon [_thread_blocked, id=12131, stack(0x00007f7f15629000,0x00007f7f1572a000)]
0x00000000020c2800 JavaThread? "Timestamper" daemon [_thread_blocked, id=12130, stack(0x00007f7f1572a000,0x00007f7f1582b000)]
0x00007f7f1004a800 JavaThread? "DestroyJavaVM" [_thread_blocked, id=12111, stack(0x00007f7f3d339000,0x00007f7f3d43a000)]
0x00007f7f10049000 JavaThread? "Wrapper-Connection" daemon [_thread_in_native, id=12127, stack(0x00007f7f15c42000,0x00007f7f15d43000)]
0x00007f7f1003e800 JavaThread? "Wrapper-Control-Event-Monitor" daemon [_thread_blocked, id=12125, stack(0x00007f7f15e44000,0x00007f7f15f45000)]
0x0000000001f3a800 JavaThread? "Low Memory Detector" daemon [_thread_blocked, id=12118, stack(0x00007f7f164cf000,0x00007f7f165d0000)]
0x0000000001f36000 JavaThread? "CompilerThread1" daemon [_thread_blocked, id=12117, stack(0x00007f7f165d0000,0x00007f7f166d1000)]

⇒0x0000000001f33800 JavaThread? "CompilerThread0" daemon [_thread_in_native, id=12116, stack(0x00007f7f166d1000,0x00007f7f167d2000)]

0x0000000001f25800 JavaThread? "Signal Dispatcher" daemon [_thread_blocked, id=12115, stack(0x00007f7f167d2000,0x00007f7f168d3000)]
0x0000000001f0e000 JavaThread? "Finalizer" daemon [_thread_blocked, id=12114, stack(0x00007f7f16a48000,0x00007f7f16b49000)]
0x0000000001f0c000 JavaThread? "Reference Handler" daemon [_thread_blocked, id=12113, stack(0x00007f7f16b49000,0x00007f7f16c4a000)]

Other Threads:

0x0000000001f04800 VMThread [stack: 0x00007f7f16c4a000,0x00007f7f16d4b000] [id=12112]
0x0000000001f3d000 WatcherThread? [stack: 0x00007f7f163ce000,0x00007f7f164cf000] [id=12119]

VM state:not at safepoint (normal execution)

VM Mutex/Monitor? currently owned by a thread: None

Heap

def new generation total 11904K, used 5740K [0x00007f7f170e0000, 0x00007f7f17dc0000, 0x00007f7f1e580000)

eden space 10624K, 41% used [0x00007f7f170e0000, 0x00007f7f1753b100, 0x00007f7f17b40000)
from space 1280K, 99% used [0x00007f7f17c80000, 0x00007f7f17dbfff8, 0x00007f7f17dc0000)
to space 1280K, 0% used [0x00007f7f17b40000, 0x00007f7f17b40000, 0x00007f7f17c80000)

tenured generation total 26248K, used 16048K [0x00007f7f1e580000, 0x00007f7f1ff22000, 0x00007f7f2cee0000)

the space 26248K, 61% used [0x00007f7f1e580000, 0x00007f7f1f52c260, 0x00007f7f1f52c400, 0x00007f7f1ff22000)

compacting perm gen total 26688K, used 26678K [0x00007f7f2cee0000, 0x00007f7f2e8f0000, 0x00007f7f376e0000)

the space 26688K, 99% used [0x00007f7f2cee0000, 0x00007f7f2e8eda40, 0x00007f7f2e8edc00, 0x00007f7f2e8f0000)

No shared spaces configured.

Dynamic libraries:
00400000-00409000 r-xp 00000000 ca:01 417797 /usr/lib/jvm/java-6-openjdk/jre/bin/java
00608000-00609000 rw-p 00008000 ca:01 417797 /usr/lib/jvm/java-6-openjdk/jre/bin/java
01e9a000-03672000 rw-p 00000000 00:00 0 [heap]
7f7f09a2c000-7f7f09a2f000 rwxp 00000000 00:00 0
7f7f09a2f000-7f7f09b2d000 rw-p 00000000 00:00 0
7f7f09b2d000-7f7f09b30000 rwxp 00000000 00:00 0
7f7f09b30000-7f7f09c2e000 rw-p 00000000 00:00 0
7f7f09c2e000-7f7f09c31000 rwxp 00000000 00:00 0
7f7f09c31000-7f7f09d2f000 rw-p 00000000 00:00 0
7f7f09d2f000-7f7f09d32000 rwxp 00000000 00:00 0
7f7f09d32000-7f7f09e30000 rw-p 00000000 00:00 0
7f7f09e30000-7f7f09e33000 rwxp 00000000 00:00 0
7f7f09e33000-7f7f09f31000 rw-p 00000000 00:00 0
7f7f09f31000-7f7f09f34000 rwxp 00000000 00:00 0
7f7f09f34000-7f7f0a032000 rw-p 00000000 00:00 0
7f7f0a032000-7f7f0a035000 rwxp 00000000 00:00 0
7f7f0a035000-7f7f0a133000 rw-p 00000000 00:00 0
7f7f0a133000-7f7f0a136000 rwxp 00000000 00:00 0
7f7f0a136000-7f7f0a234000 rw-p 00000000 00:00 0
7f7f0a234000-7f7f0a237000 —-p 00000000 00:00 0
7f7f0a237000-7f7f0a335000 rw-p 00000000 00:00 0
7f7f0a335000-7f7f0a338000 —-p 00000000 00:00 0
7f7f0a338000-7f7f0a436000 rw-p 00000000 00:00 0
7f7f0a436000-7f7f0a439000 —-p 00000000 00:00 0
7f7f0a439000-7f7f0a537000 rw-p 00000000 00:00 0
7f7f0a537000-7f7f0a53a000 rwxp 00000000 00:00 0
7f7f0a53a000-7f7f0a638000 rw-p 00000000 00:00 0
7f7f0a638000-7f7f0a63b000 rwxp 00000000 00:00 0
7f7f0a63b000-7f7f0a739000 rw-p 00000000 00:00 0
7f7f0a739000-7f7f0a742000 r-xp 00000000 ca:01 410067 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libjpeg.so
7f7f0a742000-7f7f0a942000 —-p 00009000 ca:01 410067 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libjpeg.so
7f7f0a942000-7f7f0a943000 rw-p 00009000 ca:01 410067 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libjpeg.so
7f7f0a943000-7f7f0a974000 r-xp 00000000 ca:01 410039 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/liblcms.so
7f7f0a974000-7f7f0ab73000 —-p 00031000 ca:01 410039 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/liblcms.so
7f7f0ab73000-7f7f0ab75000 rw-p 00030000 ca:01 410039 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/liblcms.so
7f7f0ab75000-7f7f0ab77000 rw-p 00000000 00:00 0
7f7f0ab77000-7f7f0ab8d000 r-xp 00000000 ca:01 385204 /lib/libgcc_s.so.1
7f7f0ab8d000-7f7f0ad8c000 —-p 00016000 ca:01 385204 /lib/libgcc_s.so.1
7f7f0ad8c000-7f7f0ad8d000 rw-p 00015000 ca:01 385204 /lib/libgcc_s.so.1
7f7f0ad8d000-7f7f0ae10000 r-xp 00000000 ca:01 352744 /usr/lib/libfreetype.so.6.6.0
7f7f0ae10000-7f7f0b00f000 —-p 00083000 ca:01 352744 /usr/lib/libfreetype.so.6.6.0
7f7f0b00f000-7f7f0b015000 rw-p 00082000 ca:01 352744 /usr/lib/libfreetype.so.6.6.0
7f7f0b015000-7f7f0b05c000 r-xp 00000000 ca:01 410036 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libfontmanager.so
7f7f0b05c000-7f7f0b25b000 —-p 00047000 ca:01 410036 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libfontmanager.so
7f7f0b25b000-7f7f0b25e000 rw-p 00046000 ca:01 410036 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libfontmanager.so
7f7f0b25e000-7f7f0b271000 rw-p 00000000 00:00 0
7f7f0b271000-7f7f0b274000 —-p 00000000 00:00 0
7f7f0b274000-7f7f0b372000 rw-p 00000000 00:00 0
7f7f0b372000-7f7f0b375000 rwxp 00000000 00:00 0
7f7f0b375000-7f7f0b473000 rw-p 00000000 00:00 0
7f7f0b473000-7f7f0b476000 rwxp 00000000 00:00 0
7f7f0b476000-7f7f0b574000 rw-p 00000000 00:00 0
7f7f0b574000-7f7f0b577000 rwxp 00000000 00:00 0
7f7f0b577000-7f7f0b675000 rw-p 00000000 00:00 0
7f7f0b675000-7f7f0b678000 rwxp 00000000 00:00 0
7f7f0b678000-7f7f0b776000 rw-p 00000000 00:00 0
7f7f0b776000-7f7f0b779000 —-p 00000000 00:00 0
7f7f0b779000-7f7f0b877000 rw-p 00000000 00:00 0
7f7f0b877000-7f7f0b87a000 rwxp 00000000 00:00 0
7f7f0b87a000-7f7f0b978000 rw-p 00000000 00:00 0
7f7f0b978000-7f7f0b97b000 —-p 00000000 00:00 0
7f7f0b97b000-7f7f0ba79000 rw-p 00000000 00:00 0
7f7f0ba79000-7f7f0ba7c000 —-p 00000000 00:00 0
7f7f0ba7c000-7f7f0bb7a000 rw-p 00000000 00:00 0
7f7f0bb7a000-7f7f0bb7d000 —-p 00000000 00:00 0
7f7f0bb7d000-7f7f0bc7b000 rw-p 00000000 00:00 0
7f7f0bc7b000-7f7f0bc7e000 —-p 00000000 00:00 0
7f7f0bc7e000-7f7f0bd7c000 rw-p 00000000 00:00 0
7f7f0bd7c000-7f7f0bd7f000 —-p 00000000 00:00 0
7f7f0bd7f000-7f7f0be7d000 rw-p 00000000 00:00 0
7f7f0be7d000-7f7f0be80000 —-p 00000000 00:00 0
7f7f0be80000-7f7f0bf7e000 rw-p 00000000 00:00 0
7f7f0bf7e000-7f7f0bf81000 —-p 00000000 00:00 0
7f7f0bf81000-7f7f0c07f000 rw-p 00000000 00:00 0
7f7f0c07f000-7f7f0c082000 —-p 00000000 00:00 0
7f7f0c082000-7f7f0c180000 rw-p 00000000 00:00 0
7f7f0c180000-7f7f0c183000 —-p 00000000 00:00 0
7f7f0c183000-7f7f0c281000 rw-p 00000000 00:00 0
7f7f0c281000-7f7f0c284000 —-p 00000000 00:00 0
7f7f0c284000-7f7f0c382000 rw-p 00000000 00:00 0
7f7f0c382000-7f7f0c385000 rwxp 00000000 00:00 0
7f7f0c385000-7f7f0c483000 rw-p 00000000 00:00 0
7f7f0c483000-7f7f0c486000 —-p 00000000 00:00 0
7f7f0c486000-7f7f0c584000 rw-p 00000000 00:00 0
7f7f0c584000-7f7f0c587000 rwxp 00000000 00:00 0
7f7f0c587000-7f7f0c685000 rw-p 00000000 00:00 0
7f7f0c685000-7f7f0c688000 —-p 00000000 00:00 0
7f7f0c688000-7f7f0c786000 rw-p 00000000 00:00 0
7f7f0c786000-7f7f0c789000 —-p 00000000 00:00 0
7f7f0c789000-7f7f0c887000 rw-p 00000000 00:00 0
7f7f0c887000-7f7f0c88a000 —-p 00000000 00:00 0
7f7f0c88a000-7f7f0c988000 rw-p 00000000 00:00 0
7f7f0c988000-7f7f0c98b000 —-p 00000000 00:00 0
7f7f0c98b000-7f7f0ca89000 rw-p 00000000 00:00 0
7f7f0ca89000-7f7f0ca8c000 —-p 00000000 00:00 0
7f7f0ca8c000-7f7f0cb8a000 rw-p 00000000 00:00 0
7f7f0cb8a000-7f7f0cb8d000 —-p 00000000 00:00 0
7f7f0cb8d000-7f7f0cc8b000 rw-p 00000000 00:00 0
7f7f0cc8b000-7f7f0cc8e000 —-p 00000000 00:00 0
7f7f0cc8e000-7f7f0cd8c000 rw-p 00000000 00:00 0
7f7f0cd8c000-7f7f0cd8f000 —-p 00000000 00:00 0
7f7f0cd8f000-7f7f0ce8d000 rw-p 00000000 00:00 0
7f7f0ce8d000-7f7f0ce90000 —-p 00000000 00:00 0
7f7f0ce90000-7f7f0cf8e000 rw-p 00000000 00:00 0
7f7f0cf8e000-7f7f0cf91000 —-p 00000000 00:00 0
7f7f0cf91000-7f7f0d08f000 rw-p 00000000 00:00 0
7f7f0d08f000-7f7f0d092000 —-p 00000000 00:00 0
7f7f0d092000-7f7f0d190000 rw-p 00000000 00:00 0
7f7f0d190000-7f7f0d193000 —-p 00000000 00:00 0
7f7f0d193000-7f7f0d291000 rw-p 00000000 00:00 0
7f7f0d291000-7f7f0d294000 —-p 00000000 00:00 0
7f7f0d294000-7f7f0d392000 rw-p 00000000 00:00 0
7f7f0d392000-7f7f0d395000 —-p 00000000 00:00 0
7f7f0d395000-7f7f0d493000 rw-p 00000000 00:00 0
7f7f0d493000-7f7f0d693000 rw-s 00000000 ca:01 98549 /var/lib/i2p/i2p-config/rrd/rrd-YAwHNwRzTZHBuEMUYE5s.jrb
7f7f0d693000-7f7f0d893000 rw-s 00000000 ca:01 98548 /var/lib/i2p/i2p-config/rrd/rrd-Urw-ZevwaGtHmBAyq3XW.jrb
7f7f0d893000-7f7f0da93000 rw-s 00000000 ca:01 98547 /var/lib/i2p/i2p-config/rrd/rrd-n3wIZBzmzcj8ZjUqWLPp.jrb
7f7f0da93000-7f7f0dc93000 rw-s 00000000 ca:01 98544 /var/lib/i2p/i2p-config/rrd/rrd-UPdo7mvlCN52rHEXNrIY.jrb
7f7f0dc93000-7f7f0dc96000 —-p 00000000 00:00 0
7f7f0dc96000-7f7f0dd94000 rw-p 00000000 00:00 0
7f7f0dd94000-7f7f0dd9a000 r-xp 00000000 ca:01 410073 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/headless/libmawt.so
7f7f0dd9a000-7f7f0df99000 —-p 00006000 ca:01 410073 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/headless/libmawt.so
7f7f0df99000-7f7f0df9a000 rw-p 00005000 ca:01 410073 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/headless/libmawt.so
7f7f0df9a000-7f7f0e03c000 r-xp 00000000 ca:01 410049 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libawt.so
7f7f0e03c000-7f7f0e23b000 —-p 000a2000 ca:01 410049 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libawt.so
7f7f0e23b000-7f7f0e247000 rw-p 000a1000 ca:01 410049 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libawt.so
7f7f0e247000-7f7f0e26b000 rw-p 00000000 00:00 0
7f7f0e26b000-7f7f0e46b000 rw-s 00000000 ca:01 98546 /var/lib/i2p/i2p-config/rrd/rrd-YmExQG0D-L4VyCZa2RAo.jrb
7f7f0e46b000-7f7f0e46e000 —-p 00000000 00:00 0
7f7f0e46e000-7f7f0e56c000 rw-p 00000000 00:00 0
7f7f0e56c000-7f7f0e56f000 —-p 00000000 00:00 0
7f7f0e56f000-7f7f0e66d000 rw-p 00000000 00:00 0
7f7f0e66d000-7f7f0e670000 —-p 00000000 00:00 0
7f7f0e670000-7f7f0e76e000 rw-p 00000000 00:00 0
7f7f0e76e000-7f7f0e771000 —-p 00000000 00:00 0
7f7f0e771000-7f7f0e86f000 rw-p 00000000 00:00 0
7f7f0e86f000-7f7f0e872000 —-p 00000000 00:00 0
7f7f0e872000-7f7f0e970000 rw-p 00000000 00:00 0
7f7f0e970000-7f7f0e973000 —-p 00000000 00:00 0
7f7f0e973000-7f7f0ea71000 rw-p 00000000 00:00 0
7f7f0ea71000-7f7f0ea74000 —-p 00000000 00:00 0
7f7f0ea74000-7f7f0eb72000 rw-p 00000000 00:00 0
7f7f0eb72000-7f7f0eb75000 —-p 00000000 00:00 0
7f7f0eb75000-7f7f0ec73000 rw-p 00000000 00:00 0
7f7f0ec73000-7f7f0ec76000 —-p 00000000 00:00 0
7f7f0ec76000-7f7f0ed74000 rw-p 00000000 00:00 0
7f7f0ed74000-7f7f0ed77000 —-p 00000000 00:00 0
7f7f0ed77000-7f7f0ee75000 rw-p 00000000 00:00 0
7f7f0ee75000-7f7f0ee78000 —-p 00000000 00:00 0
7f7f0ee78000-7f7f0ef76000 rw-p 00000000 00:00 0
7f7f0ef76000-7f7f0ef79000 —-p 00000000 00:00 0
7f7f0ef79000-7f7f0f077000 rw-p 00000000 00:00 0
7f7f0f077000-7f7f0f07a000 —-p 00000000 00:00 0
7f7f0f07a000-7f7f0f178000 rw-p 00000000 00:00 0
7f7f0f178000-7f7f0f180000 r-xp 00000000 ca:01 410045 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libnio.so
7f7f0f180000-7f7f0f37f000 —-p 00008000 ca:01 410045 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libnio.so
7f7f0f37f000-7f7f0f380000 rw-p 00007000 ca:01 410045 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libnio.so
7f7f0f380000-7f7f0f383000 —-p 00000000 00:00 0
7f7f0f383000-7f7f0f481000 rw-p 00000000 00:00 0
7f7f0f481000-7f7f0f484000 —-p 00000000 00:00 0
7f7f0f484000-7f7f0f582000 rw-p 00000000 00:00 0
7f7f0f582000-7f7f0f585000 —-p 00000000 00:00 0
7f7f0f585000-7f7f0f683000 rw-p 00000000 00:00 0
7f7f0f683000-7f7f0f686000 —-p 00000000 00:00 0
7f7f0f686000-7f7f0f784000 rw-p 00000000 00:00 0
7f7f0f784000-7f7f0f787000 —-p 00000000 00:00 0
7f7f0f787000-7f7f0f885000 rw-p 00000000 00:00 0
7f7f0f885000-7f7f0f898000 r-xp 00000000 ca:01 385230 /lib/libresolv-2.11.2.so
7f7f0f898000-7f7f0fa97000 —-p 00013000 ca:01 385230 /lib/libresolv-2.11.2.so
7f7f0fa97000-7f7f0fa98000 r—p 00012000 ca:01 385230 /lib/libresolv-2.11.2.so
7f7f0fa98000-7f7f0fa99000 rw-p 00013000 ca:01 385230 /lib/libresolv-2.11.2.so
7f7f0fa99000-7f7f0fa9b000 rw-p 00000000 00:00 0
7f7f0fa9b000-7f7f0faa0000 r-xp 00000000 ca:01 385217 /lib/libnss_dns-2.11.2.so
7f7f0faa0000-7f7f0fc9f000 —-p 00005000 ca:01 385217 /lib/libnss_dns-2.11.2.so
7f7f0fc9f000-7f7f0fca0000 r—p 00004000 ca:01 385217 /lib/libnss_dns-2.11.2.so
7f7f0fca0000-7f7f0fca1000 rw-p 00005000 ca:01 385217 /lib/libnss_dns-2.11.2.so
7f7f0fca1000-7f7f0fca4000 —-p 00000000 00:00 0
7f7f0fca4000-7f7f0fda2000 rw-p 00000000 00:00 0
7f7f0fda2000-7f7f0fdff000 r-xp 00000000 ca:01 353255 /usr/lib/libgmp.so.3.5.2
7f7f0fdff000-7f7f0ffff000 —-p 0005d000 ca:01 353255 /usr/lib/libgmp.so.3.5.2
7f7f0ffff000-7f7f10000000 rw-p 0005d000 ca:01 353255 /usr/lib/libgmp.so.3.5.2
7f7f10000000-7f7f10cd3000 rw-p 00000000 00:00 0
7f7f10cd3000-7f7f14000000 —-p 00000000 00:00 0
7f7f14007000-7f7f1400e000 r—s 00102000 ca:01 401659 /usr/lib/jvm/java-6-openjdk/jre/lib/resources.jar
7f7f1400e000-7f7f14010000 r—s 0004d000 ca:01 418612 /usr/share/i2p/webapps/routerconsole.war
7f7f14010000-7f7f14013000 r—s 00018000 ca:01 363300 /usr/share/java/junit-3.8.2.jar
7f7f14013000-7f7f14014000 r-xp 00000000 ca:01 418658 /usr/lib/jni/libjbigi.so
7f7f14014000-7f7f14213000 —-p 00001000 ca:01 418658 /usr/lib/jni/libjbigi.so
7f7f14213000-7f7f14214000 r—p 00000000 ca:01 418658 /usr/lib/jni/libjbigi.so
7f7f14214000-7f7f14215000 rw-p 00001000 ca:01 418658 /usr/lib/jni/libjbigi.so
7f7f14215000-7f7f14216000 r-xp 00000000 ca:01 418659 /usr/lib/jni/libjcpuid.so
7f7f14216000-7f7f14415000 —-p 00001000 ca:01 418659 /usr/lib/jni/libjcpuid.so
7f7f14415000-7f7f14416000 r—p 00000000 ca:01 418659 /usr/lib/jni/libjcpuid.so
7f7f14416000-7f7f14417000 rw-p 00001000 ca:01 418659 /usr/lib/jni/libjcpuid.so
7f7f14417000-7f7f1441a000 —-p 00000000 00:00 0
7f7f1441a000-7f7f14518000 rw-p 00000000 00:00 0
7f7f14518000-7f7f1451b000 —-p 00000000 00:00 0
7f7f1451b000-7f7f14619000 rw-p 00000000 00:00 0
7f7f14619000-7f7f1461c000 —-p 00000000 00:00 0
7f7f1461c000-7f7f1471a000 rw-p 00000000 00:00 0
7f7f1471a000-7f7f1471d000 —-p 00000000 00:00 0
7f7f1471d000-7f7f1481b000 rw-p 00000000 00:00 0
7f7f1481b000-7f7f1481e000 —-p 00000000 00:00 0
7f7f1481e000-7f7f1491c000 rw-p 00000000 00:00 0
7f7f1491c000-7f7f1491f000 —-p 00000000 00:00 0
7f7f1491f000-7f7f14a1d000 rw-p 00000000 00:00 0
7f7f14a1d000-7f7f14a20000 —-p 00000000 00:00 0
7f7f14a20000-7f7f14b1e000 rw-p 00000000 00:00 0
7f7f14b1e000-7f7f14b21000 —-p 00000000 00:00 0
7f7f14b21000-7f7f14c1f000 rw-p 00000000 00:00 0
7f7f14c1f000-7f7f14c22000 —-p 00000000 00:00 0
7f7f14c22000-7f7f14d20000 rw-p 00000000 00:00 0
7f7f14d20000-7f7f14d23000 —-p 00000000 00:00 0
7f7f14d23000-7f7f14e21000 rw-p 00000000 00:00 0
7f7f14e21000-7f7f14e24000 —-p 00000000 00:00 0
7f7f14e24000-7f7f14f22000 rw-p 00000000 00:00 0
7f7f14f22000-7f7f14f25000 —-p 00000000 00:00 0
7f7f14f25000-7f7f15023000 rw-p 00000000 00:00 0
7f7f15023000-7f7f15026000 —-p 00000000 00:00 0
7f7f15026000-7f7f15124000 rw-p 00000000 00:00 0
7f7f15124000-7f7f15127000 —-p 00000000 00:00 0
7f7f15127000-7f7f15225000 rw-p 00000000 00:00 0
7f7f15225000-7f7f15228000 —-p 00000000 00:00 0
7f7f15228000-7f7f15326000 rw-p 00000000 00:00 0
7f7f15326000-7f7f15329000 —-p 00000000 00:00 0
7f7f15329000-7f7f15427000 rw-p 00000000 00:00 0
7f7f15427000-7f7f1542a000 —-p 00000000 00:00 0
7f7f1542a000-7f7f15528000 rw-p 00000000 00:00 0
7f7f15528000-7f7f1552b000 —-p 00000000 00:00 0
7f7f1552b000-7f7f15629000 rw-p 00000000 00:00 0
7f7f15629000-7f7f1562c000 —-p 00000000 00:00 0
7f7f1562c000-7f7f1572a000 rw-p 00000000 00:00 0
7f7f1572a000-7f7f1572d000 —-p 00000000 00:00 0
7f7f1572d000-7f7f1582b000 rw-p 00000000 00:00 0
7f7f1582b000-7f7f1582e000 —-p 00000000 00:00 0
7f7f1582e000-7f7f1592c000 rw-p 00000000 00:00 0
7f7f1592c000-7f7f1592f000 —-p 00000000 00:00 0
7f7f1592f000-7f7f15a2d000 rw-p 00000000 00:00 0
7f7f15a2d000-7f7f15a42000 r-xp 00000000 ca:01 410066 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libnet.so
7f7f15a42000-7f7f15c41000 —-p 00015000 ca:01 410066 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libnet.so
7f7f15c41000-7f7f15c42000 rw-p 00014000 ca:01 410066 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libnet.so
7f7f15c42000-7f7f15c45000 —-p 00000000 00:00 0
7f7f15c45000-7f7f15d43000 rw-p 00000000 00:00 0
7f7f15d43000-7f7f15d46000 —-p 00000000 00:00 0
7f7f15d46000-7f7f15e44000 rw-p 00000000 00:00 0
7f7f15e44000-7f7f15e47000 —-p 00000000 00:00 0
7f7f15e47000-7f7f15f45000 rw-p 00000000 00:00 0
7f7f15f45000-7f7f15f4c000 r—s 00000000 ca:01 353060 /usr/lib/gconv/gconv-modules.cache
7f7f15f4c000-7f7f15f55000 r-xp 00000000 ca:01 418722 /usr/lib/jni/libwrapper.so
7f7f15f55000-7f7f16155000 —-p 00009000 ca:01 418722 /usr/lib/jni/libwrapper.so
7f7f16155000-7f7f16156000 r—p 00009000 ca:01 418722 /usr/lib/jni/libwrapper.so
7f7f16156000-7f7f16157000 rw-p 0000a000 ca:01 418722 /usr/lib/jni/libwrapper.so
7f7f16157000-7f7f1615e000 r-xp 00000000 ca:01 410070 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libmanagement.so
7f7f1615e000-7f7f1635d000 —-p 00007000 ca:01 410070 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libmanagement.so
7f7f1635d000-7f7f1635e000 rw-p 00006000 ca:01 410070 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libmanagement.so
7f7f1635e000-7f7f16361000 r—s 0007d000 ca:01 401640 /usr/lib/jvm/java-6-openjdk/jre/lib/jsse.jar
7f7f16361000-7f7f16366000 r—s 00035000 ca:01 363312 /usr/share/java/wrapper.jar
7f7f16366000-7f7f16367000 r—s 00002000 ca:01 417904 /usr/share/i2p/lib/systray.jar
7f7f16367000-7f7f16368000 r—s 0000d000 ca:01 417885 /usr/share/i2p/lib/systray4j.jar
7f7f16368000-7f7f1636a000 r—s 00013000 ca:01 417901 /usr/share/i2p/lib/sam.jar
7f7f1636a000-7f7f16372000 r—s 00058000 ca:01 417884 /usr/share/i2p/lib/standard.jar
7f7f16372000-7f7f16376000 r—s 000fa000 ca:01 417906 /usr/share/i2p/lib/routerconsole.jar
7f7f16376000-7f7f16387000 r—s 0014c000 ca:01 417895 /usr/share/i2p/lib/router.jar
7f7f16387000-7f7f16389000 r—s 00007000 ca:01 417898 /usr/share/i2p/lib/org.mortbay.jmx.jar
7f7f16389000-7f7f16390000 r—s 0007d000 ca:01 417908 /usr/share/i2p/lib/org.mortbay.jetty.jar
7f7f16390000-7f7f16392000 r—s 00006000 ca:01 417891 /usr/share/i2p/lib/jstl.jar
7f7f16392000-7f7f16395000 r—s 00028000 ca:01 417909 /usr/share/i2p/lib/jrobin.jar
7f7f16395000-7f7f16399000 r—s 00028000 ca:01 417882 /usr/share/i2p/lib/jetty-util.jar
7f7f16399000-7f7f1639b000 r—s 00003000 ca:01 417900 /usr/share/i2p/lib/jetty-start.jar
7f7f1639b000-7f7f1639c000 r—s 00004000 ca:01 417886 /usr/share/i2p/lib/jetty-sslengine.jar
7f7f1639c000-7f7f1639e000 r—s 00004000 ca:01 417889 /usr/share/i2p/lib/jetty-rewrite-handler.jar
7f7f1639e000-7f7f163a0000 r—s 00000000 ca:01 417888 /usr/share/i2p/lib/jetty-java5-threadpool.jar
7f7f163a0000-7f7f163a1000 r—s 00002000 ca:01 417894 /usr/share/i2p/lib/jetty-i2p.jar
7f7f163a1000-7f7f163a4000 r—s 00023000 ca:01 417893 /usr/share/i2p/lib/javax.servlet.jar
7f7f163a4000-7f7f163ab000 r—s 00079000 ca:01 417883 /usr/share/i2p/lib/jasper-runtime.jar
7f7f163ab000-7f7f163ac000 r—s 00000000 ca:01 417907 /usr/share/i2p/lib/jasper-compiler.jar
7f7f163ac000-7f7f163b0000 r—s 00031000 ca:01 417897 /usr/share/i2p/lib/i2ptunnel.jar
7f7f163b0000-7f7f163b3000 r—s 0001e000 ca:01 417905 /usr/share/i2p/lib/streaming.jar
7f7f163b3000-7f7f163b4000 r—s 00003000 ca:01 417887 /usr/share/i2p/lib/mstreaming.jar
7f7f163b4000-7f7f163b8000 r—s 00038000 ca:01 417903 /usr/share/i2p/lib/i2psnark.jar
7f7f163b8000-7f7f163c1000 r—s 00091000 ca:01 417890 /usr/share/i2p/lib/i2p.jar
7f7f163c1000-7f7f163ce000 r—s 0012d000 ca:01 363280 /usr/share/java/eclipse-ecj.jar
7f7f163ce000-7f7f163cf000 —-p 00000000 00:00 0
7f7f163cf000-7f7f164cf000 rw-p 00000000 00:00 0
7f7f164cf000-7f7f164d2000 —-p 00000000 00:00 0
7f7f164d2000-7f7f165d0000 rw-p 00000000 00:00 0
7f7f165d0000-7f7f165d3000 —-p 00000000 00:00 0
7f7f165d3000-7f7f166d1000 rw-p 00000000 00:00 0
7f7f166d1000-7f7f166d4000 —-p 00000000 00:00 0
7f7f166d4000-7f7f167d2000 rw-p 00000000 00:00 0
7f7f167d2000-7f7f167d5000 —-p 00000000 00:00 0
7f7f167d5000-7f7f168d3000 rw-p 00000000 00:00 0
7f7f168d3000-7f7f16a48000 r—p 00000000 ca:01 353074 /usr/lib/locale/locale-archive
7f7f16a48000-7f7f16a4b000 —-p 00000000 00:00 0
7f7f16a4b000-7f7f16b49000 rw-p 00000000 00:00 0
7f7f16b49000-7f7f16b4c000 —-p 00000000 00:00 0
7f7f16b4c000-7f7f16c4a000 rw-p 00000000 00:00 0
7f7f16c4a000-7f7f16c4b000 —-p 00000000 00:00 0
7f7f16c4b000-7f7f16d7e000 rw-p 00000000 00:00 0
7f7f16d7e000-7f7f16f12000 r—s 0392f000 ca:01 401845 /usr/lib/jvm/java-6-openjdk/jre/lib/rt.jar
7f7f16f12000-7f7f16f20000 rwxp 00000000 00:00 0
7f7f16f20000-7f7f16f67000 rwxp 00000000 00:00 0
7f7f16f67000-7f7f16f74000 rwxp 00000000 00:00 0
7f7f16f74000-7f7f16fdc000 rwxp 00000000 00:00 0
7f7f16fdc000-7f7f16fe3000 rwxp 00000000 00:00 0
7f7f16fe3000-7f7f17016000 rwxp 00000000 00:00 0
7f7f17016000-7f7f17024000 rwxp 00000000 00:00 0
7f7f17024000-7f7f1708b000 rwxp 00000000 00:00 0
7f7f1708b000-7f7f17099000 rwxp 00000000 00:00 0
7f7f17099000-7f7f170df000 rwxp 00000000 00:00 0
7f7f170df000-7f7f17dc0000 rwxp 00000000 00:00 0
7f7f17dc0000-7f7f1e580000 rwxp 00000000 00:00 0
7f7f1e580000-7f7f1ff22000 rwxp 00000000 00:00 0
7f7f1ff22000-7f7f2cee0000 rwxp 00000000 00:00 0
7f7f2cee0000-7f7f2e8f0000 rwxp 00000000 00:00 0
7f7f2e8f0000-7f7f376e0000 rwxp 00000000 00:00 0
7f7f376e1000-7f7f376e3000 r—s 00013000 ca:01 417896 /usr/share/i2p/lib/desktopgui.jar
7f7f376e3000-7f7f376e5000 r—s 00012000 ca:01 417892 /usr/share/i2p/lib/commons-logging.jar
7f7f376e5000-7f7f376e8000 r—s 0001f000 ca:01 417902 /usr/share/i2p/lib/commons-el.jar
7f7f376e8000-7f7f37958000 rwxp 00000000 00:00 0
7f7f37958000-7f7f3a6e8000 rwxp 00000000 00:00 0
7f7f3a6e8000-7f7f3a6ef000 r-xp 00000000 ca:01 410057 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libzip.so
7f7f3a6ef000-7f7f3a8ee000 —-p 00007000 ca:01 410057 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libzip.so
7f7f3a8ee000-7f7f3a8ef000 rw-p 00006000 ca:01 410057 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libzip.so
7f7f3a8ef000-7f7f3a8fa000 r-xp 00000000 ca:01 385218 /lib/libnss_files-2.11.2.so
7f7f3a8fa000-7f7f3aaf9000 —-p 0000b000 ca:01 385218 /lib/libnss_files-2.11.2.so
7f7f3aaf9000-7f7f3aafa000 r—p 0000a000 ca:01 385218 /lib/libnss_files-2.11.2.so
7f7f3aafa000-7f7f3aafb000 rw-p 0000b000 ca:01 385218 /lib/libnss_files-2.11.2.so
7f7f3aafb000-7f7f3ab05000 r-xp 00000000 ca:01 385220 /lib/libnss_nis-2.11.2.so
7f7f3ab05000-7f7f3ad04000 —-p 0000a000 ca:01 385220 /lib/libnss_nis-2.11.2.so
7f7f3ad04000-7f7f3ad05000 r—p 00009000 ca:01 385220 /lib/libnss_nis-2.11.2.so
7f7f3ad05000-7f7f3ad06000 rw-p 0000a000 ca:01 385220 /lib/libnss_nis-2.11.2.so
7f7f3ad06000-7f7f3ad0d000 r-xp 00000000 ca:01 385216 /lib/libnss_compat-2.11.2.so
7f7f3ad0d000-7f7f3af0c000 —-p 00007000 ca:01 385216 /lib/libnss_compat-2.11.2.so
7f7f3af0c000-7f7f3af0d000 r—p 00006000 ca:01 385216 /lib/libnss_compat-2.11.2.so
7f7f3af0d000-7f7f3af0e000 rw-p 00007000 ca:01 385216 /lib/libnss_compat-2.11.2.so
7f7f3af0e000-7f7f3af16000 r-xp 00000000 ca:01 410052 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/native_threads/libhpi.so
7f7f3af16000-7f7f3b115000 —-p 00008000 ca:01 410052 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/native_threads/libhpi.so
7f7f3b115000-7f7f3b117000 rw-p 00007000 ca:01 410052 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/native_threads/libhpi.so
7f7f3b117000-7f7f3b12c000 r-xp 00000000 ca:01 385215 /lib/libnsl-2.11.2.so
7f7f3b12c000-7f7f3b32b000 —-p 00015000 ca:01 385215 /lib/libnsl-2.11.2.so
7f7f3b32b000-7f7f3b32c000 r—p 00014000 ca:01 385215 /lib/libnsl-2.11.2.so
7f7f3b32c000-7f7f3b32d000 rw-p 00015000 ca:01 385215 /lib/libnsl-2.11.2.so
7f7f3b32d000-7f7f3b32f000 rw-p 00000000 00:00 0
7f7f3b32f000-7f7f3b35b000 r-xp 00000000 ca:01 410042 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libjava.so
7f7f3b35b000-7f7f3b55a000 —-p 0002c000 ca:01 410042 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libjava.so
7f7f3b55a000-7f7f3b55e000 rw-p 0002b000 ca:01 410042 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libjava.so
7f7f3b55e000-7f7f3b56c000 r-xp 00000000 ca:01 410065 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libverify.so
7f7f3b56c000-7f7f3b76c000 —-p 0000e000 ca:01 410065 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libverify.so
7f7f3b76c000-7f7f3b76e000 rw-p 0000e000 ca:01 410065 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/libverify.so
7f7f3b76e000-7f7f3b775000 r-xp 00000000 ca:01 385231 /lib/librt-2.11.2.so
7f7f3b775000-7f7f3b974000 —-p 00007000 ca:01 385231 /lib/librt-2.11.2.so
7f7f3b974000-7f7f3b975000 r—p 00006000 ca:01 385231 /lib/librt-2.11.2.so
7f7f3b975000-7f7f3b976000 rw-p 00007000 ca:01 385231 /lib/librt-2.11.2.so
7f7f3b976000-7f7f3b9f6000 r-xp 00000000 ca:01 385211 /lib/libm-2.11.2.so
7f7f3b9f6000-7f7f3bbf6000 —-p 00080000 ca:01 385211 /lib/libm-2.11.2.so
7f7f3bbf6000-7f7f3bbf7000 r—p 00080000 ca:01 385211 /lib/libm-2.11.2.so
7f7f3bbf7000-7f7f3bbf8000 rw-p 00081000 ca:01 385211 /lib/libm-2.11.2.so
7f7f3bbf8000-7f7f3c3c9000 r-xp 00000000 ca:01 410062 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server/libjvm.so
7f7f3c3c9000-7f7f3c5c9000 —-p 007d1000 ca:01 410062 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server/libjvm.so
7f7f3c5c9000-7f7f3c64f000 rw-p 007d1000 ca:01 410062 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server/libjvm.so
7f7f3c64f000-7f7f3c68b000 rw-p 00000000 00:00 0
7f7f3c68b000-7f7f3c7e3000 r-xp 00000000 ca:01 385193 /lib/libc-2.11.2.so
7f7f3c7e3000-7f7f3c9e2000 —-p 00158000 ca:01 385193 /lib/libc-2.11.2.so
7f7f3c9e2000-7f7f3c9e6000 r—p 00157000 ca:01 385193 /lib/libc-2.11.2.so
7f7f3c9e6000-7f7f3c9e7000 rw-p 0015b000 ca:01 385193 /lib/libc-2.11.2.so
7f7f3c9e7000-7f7f3c9ec000 rw-p 00000000 00:00 0
7f7f3c9ec000-7f7f3c9ee000 r-xp 00000000 ca:01 385201 /lib/libdl-2.11.2.so
7f7f3c9ee000-7f7f3cbee000 —-p 00002000 ca:01 385201 /lib/libdl-2.11.2.so
7f7f3cbee000-7f7f3cbef000 r—p 00002000 ca:01 385201 /lib/libdl-2.11.2.so
7f7f3cbef000-7f7f3cbf0000 rw-p 00003000 ca:01 385201 /lib/libdl-2.11.2.so
7f7f3cbf0000-7f7f3cbf4000 r-xp 00000000 ca:01 410060 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/jli/libjli.so
7f7f3cbf4000-7f7f3cdf3000 —-p 00004000 ca:01 410060 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/jli/libjli.so
7f7f3cdf3000-7f7f3cdf4000 rw-p 00003000 ca:01 410060 /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/jli/libjli.so
7f7f3cdf4000-7f7f3ce0b000 r-xp 00000000 ca:01 385228 /lib/libpthread-2.11.2.so
7f7f3ce0b000-7f7f3d00a000 —-p 00017000 ca:01 385228 /lib/libpthread-2.11.2.so
7f7f3d00a000-7f7f3d00b000 r—p 00016000 ca:01 385228 /lib/libpthread-2.11.2.so
7f7f3d00b000-7f7f3d00c000 rw-p 00017000 ca:01 385228 /lib/libpthread-2.11.2.so
7f7f3d00c000-7f7f3d010000 rw-p 00000000 00:00 0
7f7f3d010000-7f7f3d027000 r-xp 00000000 ca:01 352778 /usr/lib/libz.so.1.2.3.4
7f7f3d027000-7f7f3d226000 —-p 00017000 ca:01 352778 /usr/lib/libz.so.1.2.3.4
7f7f3d226000-7f7f3d227000 rw-p 00016000 ca:01 352778 /usr/lib/libz.so.1.2.3.4
7f7f3d227000-7f7f3d245000 r-xp 00000000 ca:01 385184 /lib/ld-2.11.2.so
7f7f3d245000-7f7f3d246000 r—s 00008000 ca:01 417899 /usr/share/i2p/lib/BOB.jar
7f7f3d246000-7f7f3d249000 r—s 0000f000 ca:01 401632 /usr/lib/jvm/java-6-openjdk/jre/lib/ext/pulse-java.jar
7f7f3d249000-7f7f3d271000 rw-p 00000000 00:00 0
7f7f3d271000-7f7f3d27b000 rwxp 00000000 00:00 0
7f7f3d27b000-7f7f3d331000 rwxp 00000000 00:00 0
7f7f3d331000-7f7f3d339000 rw-s 00000000 ca:01 270375 /tmp/hsperfdata_i2psvc/12110
7f7f3d339000-7f7f3d33c000 —-p 00000000 00:00 0
7f7f3d33c000-7f7f3d43f000 rw-p 00000000 00:00 0
7f7f3d440000-7f7f3d441000 rw-p 00000000 00:00 0
7f7f3d441000-7f7f3d442000 r—p 00000000 00:00 0
7f7f3d442000-7f7f3d444000 rw-p 00000000 00:00 0
7f7f3d444000-7f7f3d445000 r—p 0001d000 ca:01 385184 /lib/ld-2.11.2.so
7f7f3d445000-7f7f3d446000 rw-p 0001e000 ca:01 385184 /lib/ld-2.11.2.so
7f7f3d446000-7f7f3d447000 rw-p 00000000 00:00 0
7fff8ec09000-7fff8ec1e000 rw-p 00000000 00:00 0 [stack]
7fff8ed85000-7fff8ed86000 r-xp 00000000 00:00 0 [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall]

VM Arguments:
jvm_args: -DloggerFilenameOverride?=/var/log/i2p/log-router-@.txt -Dorg.mortbay.http.Version.paranoid=true -Dorg.mortbay.xml.XmlParser?.NotValidating?=true -Di2p.dir.base=/usr/share/i2p -Dwrapper.logfile=/var/log/i2p/wrapper.log -Di2p.dir.pid=/var/run/i2p -Di2p.dir.temp=/tmp/i2p-daemon -Xmx350m -Djava.library.path=/usr/lib/jni:/usr/share/java/lib -Dwrapper.key=PlQqs?—VYVRYO_oa -Dwrapper.port=32000 -Dwrapper.jvm.port.min=31000 -Dwrapper.jvm.port.max=31999 -Dwrapper.disable_console_input=TRUE -Dwrapper.pid=12108 -Dwrapper.version=3.5.17 -Dwrapper.native_library=wrapper -Dwrapper.arch=x86 -Dwrapper.service=TRUE -Dwrapper.cpu.timeout=10 -Dwrapper.jvmid=1
java_command: org.tanukisoftware.wrapper.WrapperSimpleApp? net.i2p.router.Router
Launcher Type: SUN_STANDARD

Environment Variables:
PATH=/sbin:/usr/sbin:/bin:/usr/bin
LD_LIBRARY_PATH=/usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server:/usr/lib/jvm/java-6-openjdk/jre/lib/amd64:/usr/lib/jvm/java-6-openjdk/jre/../lib/amd64

Signal Handlers:
SIGSEGV: [libjvm.so+0x6836f0], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGBUS: [libjvm.so+0x6836f0], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGFPE: [libjvm.so+0x554710], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGPIPE: [libjvm.so+0x554710], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGXFSZ: [libjvm.so+0x554710], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGILL: [libjvm.so+0x554710], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGUSR1: SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000000
SIGUSR2: [libjvm.so+0x553eb0], sa_mask[0]=0x00000000, sa_flags=0x10000004
SIGHUP: [libwrapper.so+0x4c00], sa_mask[0]=0x00000001, sa_flags=0x10000000
SIGINT: [libwrapper.so+0x4c60], sa_mask[0]=0x00000002, sa_flags=0x10000000
SIGTERM: [libwrapper.so+0x4c30], sa_mask[0]=0x00004000, sa_flags=0x10000000
SIGQUIT: [libjvm.so+0x5562e0], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004


OS:6.0.1

uname:Linux 2.6.32-5-xen-amd64 #1 SMP Tue Mar 8 00:01:30 UTC 2011 x86_64
libc:glibc 2.11.2 NPTL 2.11.2
rlimit: STACK 8192k, CORE 0k, NPROC infinity, NOFILE 1024, AS infinity
load average:0.00 0.00 0.00

CPU:total 1 (6 cores per cpu, 1 threads per core) family 16 model 8 stepping 1, cmov, cx8, fxsr, mmx, sse, sse2, sse3, mmxext, 3dnow, 3dnowext, sse4a

Memory: 4k page, physical 521052k(235628k free), swap 499992k(494092k free)

vm_info: OpenJDK 64-Bit Server VM (14.0-b16) for linux-amd64 JRE (1.6.0_18-b18), built on Jun 27 2012 10:26:58 by "jmm" with gcc 4.4.5

time: Sat Mar 2 18:50:03 2013
elapsed time: 1729 seconds

Subtickets

Change History (2)

comment:1 Changed 7 years ago by DISABLED

comment:2 Changed 6 years ago by zzz

Milestone: 0.9.5
Resolution: not a bug
Status: newclosed

Definitely not an I2P problem. I see OpenJDK rejected it too:

Andrew John Hughes 2013-03-07 13:07:15 UTC

1.8.13 is no longer supported. Please reopen if reproducible on a currently supported version with information on how to do so.

Note: See TracTickets for help on using tickets.